"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.autoGempa = void 0;
const axios_1 = __importDefault(require("axios"));
const variables_js_1 = require("../util/variables.js");
/**
 * Mengambil data gempa yang terakhir terjadi.
 *
 * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
 */
async function autoGempa() {
    try {
        const res = await axios_1.default.get(variables_js_1.baseUrl + variables_js_1.endpoints.autoGempa);
        const { Tanggal, Jam, DateTime, Coordinates, Lintang, Bujur, Magnitude, Kedalaman, Wilayah, Potensi, Dirasakan, Shakemap } = res.data.Infogempa.gempa;
        const obj = {
            tanggal: Tanggal,
            jam: Jam,
            dateTime: DateTime,
            coordinates: Coordinates,
            lintang: Lintang,
            bujur: Bujur,
            magnitude: Number(Magnitude),
            kedalaman: Kedalaman,
            wilayah: Wilayah,
            potensi: Potensi,
            dirasakan: Dirasakan,
            shakemap: variables_js_1.baseUrl + '/' + Shakemap,
        };
        return obj;
    }
    catch (err) {
        return console.error(err);
    }
    ;
}
exports.autoGempa = autoGempa;
;
//# sourceMappingURL=autoGempa.js.map