"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.gempaTerkini = void 0;
const axios_1 = __importDefault(require("axios"));
const variables_js_1 = require("../util/variables.js");
/**
 * Mengambil list data gempa terkini.
 *
 * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
 */
async function gempaTerkini() {
    try {
        const res = await axios_1.default.get(variables_js_1.baseUrl + variables_js_1.endpoints.gempaTerkini);
        const array = [];
        for (let i = 0; i < res.data.Infogempa.gempa.length; i++) {
            const { Tanggal, Jam, DateTime, Coordinates, Lintang, Bujur, Magnitude, Kedalaman, Wilayah, Potensi } = res.data.Infogempa.gempa[i];
            array.push({
                tanggal: Tanggal,
                jam: Jam,
                dateTime: DateTime,
                coordinates: Coordinates,
                lintang: Lintang,
                bujur: Bujur,
                magnitude: Number(Magnitude),
                kedalaman: Kedalaman,
                wilayah: Wilayah,
                potensi: Potensi
            });
        }
        ;
        return array;
    }
    catch (err) {
        return console.error(err);
    }
    ;
}
exports.gempaTerkini = gempaTerkini;
;
//# sourceMappingURL=gempaTerkini.js.map